<template>
  <div>
    <!-- 年度开工率 -->
    <Echart
      :options="options"
      id="bottomLeftChart"
      height="480px"
      width="100%"
    ></Echart>
  </div>
</template>

<script>
import Echart from '@/common/echart'
export default {
  data () {
    return {
      options: {},
    };
  },
  components: {
    Echart,
  },
  props: {
    cdata: {
      type: Object,
      default: () => ({})
    },
  },
  watch: {
    cdata: {

      handler (newData) {
        this.options = {
          tooltip: {
            trigger: "axis",
            backgroundColor: "rgba(255,255,255,0.1)",
            axisPointer: {
              type: "shadow",
              label: {
                show: true,
                backgroundColor: "#7B7DDC"
              }
            }
          },
          legend: {
            data: ["不良数", "良率"],
            // data: ["", "不良数", ""],
            textStyle: {
              color: "#B4B4B4"
            },
            top: "0%"
          },
          grid: {
            top:"7%",
            x: "11%",
            width: "80%",
            height: "72%",
            y: "10%"
          },
          xAxis: {
            data: newData.category,
            axisLine: {
              lineStyle: {
                color: "#B4B4B4"
              }
            },
            axisTick: {
              show: false
            }
          },
          yAxis: [
            {
              splitLine: { show: false },
              axisLine: {
                lineStyle: {
                  color: "#B4B4B4"
                }
              },

              axisLabel: {
                formatter: "{value} "
              }
            },
            {
              splitLine: { show: false },
              axisLine: {
                lineStyle: {
                  color: "#B4B4B4"
                }
              },
              axisLabel: {
                // formatter: "{value} "
                formatter: function(value) {
                  return value * 100 + '%';
                }
              }
            },
          ],
          series: [
            {
              name: "良率",
              areaStyle: {
                normal: {
                  color: {
                    x: 0,
                    y: 0,
                    x2: 0,
                    y2: 1,
                    colorStops: [{
                      offset: 0,
                      color: "#dc3881" // 0% 处的颜色
                    }, {
                      offset: 0.7,
                      color: "rgba(220,56,129,0)" // 100% 处的颜色
                    }],
                    globalCoord: false // 缺省为 false
                  }
                }
              }, // 需要加上这一行
              type: "line",
              smooth: true,
              showAllSymbol: true,
              symbol: "emptyCircle",
              symbolSize: 8,
              yAxisIndex: 1,
              itemStyle: {
                normal: {
                  color: "#F02FC2"
                }
              },
              data: newData.rateData,
            },
            {
              name: "不良数",
              type: "bar",
              barWidth: 80,
              itemStyle: {
                normal: {
                  barBorderRadius: 5,
                  color: new this.$echarts.graphic.LinearGradient(0, 0, 0, 1, [
                    { offset: 0, color: "#956FD4" },
                    { offset: 1, color: "#3EACE5" }
                  ])
                }
              },
              data: newData.barData,
              label: {
                show: true,  // 显示标签
                position: 'top',  // 标签位置
                textStyle: {//数值样式
                  fontSize: '20px',
                  color: '##999'
                },
              },
            },

            // {
            //   // name: "计划贯通",
            //   name: "完工数",
            //   type: "bar",
            //   barGap: "-100%",
            //   barWidth: 80,
            //   itemStyle: {
            //     normal: {
            //       barBorderRadius: 5,
            //       color: new this.$echarts.graphic.LinearGradient(0, 0, 0, 1, [
            //         { offset: 0, color: "rgba(156,107,211,0.8)" },
            //         { offset: 0.2, color: "rgba(156,107,211,0.5)" },
            //         { offset: 1, color: "rgba(156,107,211,0.2)" }
            //       ])
            //     }
            //   },
            //   z: -12,
            //   data: newData.lineData
            // },
          ],
        }
      },
      immediate: true,
      deep: true
    },
  },
}
</script>